## Apache Zeta Components Manual :: Docs For Class ezcInputFormException

### UserInput::ezcInputFormException

### Class ezcInputFormException

General exception container for the UserInput component.

Source for this file: /UserInput/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcInputFormException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcInputFormVariableMissingException | Exception that is thrown when a required input field is missing.
ezcInputFormUnknownFieldException | Exception that is thrown when a fieldname is used that was not defined in a definition array.
ezcInputFormFieldNotFoundException | Exception that is thrown when a specified field is not found
ezcInputFormInvalidDefinitionException | Exception that is thrown when an invalid definition array is used.
ezcInputFormWrongInputSourceException | Exception that is thrown when an invalid input source is used.
ezcInputFormValidDataAvailableException | Exception that is used when valid data is available and you try to access RAW data.
ezcInputFormNoValidDataException | Exception that is thrown when an invalid field name is requested.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3